# Receivable

[Git Source](https://github.com/isle-labs/isle-contract/blob/main/contracts/libraries/types/DataTypes.sol)

Namespace for the structs used in [Receivable](/contract-documentation/libraries/types/receivable.md)

## Structs

### Create

```solidity
struct Create {
    address buyer;
    address seller;
    uint256 faceAmount;
    uint256 repaymentTimestamp;
    uint16 currencyCode;
}
```

**Properties**

| Name                 | Type      | Description                                                                                     |
| -------------------- | --------- | ----------------------------------------------------------------------------------------------- |
| `buyer`              | `address` | The address of the buyer that's expected to pay for this receivable.                            |
| `seller`             | `address` | The address of the seller that's expected to receive payment for this receivable.               |
| `faceAmount`         | `uint256` | The amount of the receivable.                                                                   |
| `repaymentTimestamp` | `uint256` | The timestamp when the receivable is expected to be repaid.                                     |
| `currencyCode`       | `uint16`  | The currency code specified by ISO 4217 in which the receivable is expressed, e.g. 840 for USD. |

### Info

```solidity
struct Info {
    address buyer;
    address seller;
    uint256 faceAmount;
    uint256 repaymentTimestamp;
    bool isValid;
    uint16 currencyCode;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.isle.finance/contract-documentation/libraries/types/receivable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
